## ros-melodic-cv-bridge 1.13.1

=== src/CMakeLists.txt ===
# add library
include_directories(./)
add_library(${PROJECT_NAME} cv_bridge.cpp rgb_colors.cpp)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME} DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

if(NOT ANDROID)
# add a Boost Python library
find_package(PythonInterp REQUIRED)
find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")

#Get the numpy include directory from its python module
if(NOT PYTHON_NUMPY_INCLUDE_DIR)
    execute_process(COMMAND ${PYTHON_EXECUTABLE} -c "import numpy; print(numpy.get_include())"
                    RESULT_VARIABLE PYTHON_NUMPY_PROCESS
                    OUTPUT_VARIABLE PYTHON_NUMPY_INCLUDE_DIR
                    OUTPUT_STRIP_TRAILING_WHITESPACE)

    if(PYTHON_NUMPY_PROCESS EQUAL 0)
       file(TO_CMAKE_PATH "${PYTHON_NUMPY_INCLUDE_DIR}" PYTHON_NUMPY_INCLUDE_CMAKE_PATH)
       set(PYTHON_NUMPY_INCLUDE_DIR ${PYTHON_NUMPY_INCLUDE_CMAKE_PATH} CACHE PATH "Numpy include directory")
    else(PYTHON_NUMPY_PROCESS EQUAL 0)
        message(SEND_ERROR "Could not determine the NumPy include directory, verify that NumPy was installed correctly.")
    endif(PYTHON_NUMPY_PROCESS EQUAL 0)
 endif(NOT PYTHON_NUMPY_INCLUDE_DIR)

include_directories(${PYTHON_INCLUDE_PATH} ${Boost_INCLUDE_DIRS} ${PYTHON_NUMPY_INCLUDE_DIR})

if (PYTHON_VERSION_MAJOR VERSION_EQUAL 3)
  add_definitions(-DPYTHON3)
endif()

if (OpenCV_VERSION_MAJOR VERSION_EQUAL 3)
add_library(${PROJECT_NAME}_boost module.cpp module_opencv3.cpp)
else()
add_library(${PROJECT_NAME}_boost module.cpp module_opencv2.cpp)
endif()
target_link_libraries(${PROJECT_NAME}_boost ${Boost_LIBRARIES}
                                            ${catkin_LIBRARIES}
                                            ${PYTHON_LIBRARIES}
                                            ${PROJECT_NAME}
)

set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                      LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_PYTHON_DESTINATION}/${PROJECT_NAME}/boost/
                      RUNTIME_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_PYTHON_DESTINATION}/${PROJECT_NAME}/boost/
                      PREFIX ""
)
if(APPLE)
  set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                        SUFFIX ".so")
endif()
if(MSVC)
  set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                        SUFFIX ".pyd")
endif()

install(TARGETS ${PROJECT_NAME}_boost DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}/boost/)
endif()

## ros-melodic-cv-bridge 1.13.0

=== debian/changelog ===
ros-melodic-cv-bridge (1.13.0-0stretch) stretch; urgency=high

  * Use rosdep OpenCV and not ROS one.
    We defintely don't need the whole OpenCV.
    We need to clean the rosdep keys.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Apr 2018 22:00:00 -0000

ros-melodic-cv-bridge (1.12.8-0stretch) stretch; urgency=high

  * Merge pull request #191 <https://github.com/ros-perception/vision_opencv/issues/191> from patrickelectric/kinetic
    cv2_to_imgmsg: step must be int
  * cv2_to_imgmsg: step must be int
    Signed-off-by: Patrick José Pereira <mailto:patrickelectric@gmail.com>
  * Contributors: Patrick José Pereira, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Apr 2018 22:00:00 -0000

ros-melodic-cv-bridge (1.12.7-0stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 11 Nov 2017 23:00:00 -0000

ros-melodic-cv-bridge (1.12.6-0stretch) stretch; urgency=high

  * fix endianness issues
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 10 Nov 2017 23:00:00 -0000

ros-melodic-cv-bridge (1.12.5-0stretch) stretch; urgency=high

  * add version_gte for opencv3
    @vrabaud If you'll update opencv3 version as discussed in https://discourse.ros.org/t/opencv-3-3/2674/4, I think we'd better to add 'version_gte' tag so that apt-get install ros-kinetic-cv-bridge also pulls openv3.3 from repository, to avoid API breaking issue between opencv2 and opencv3.
  * Simplify the dependency components of cv_bridge
    Fixes #183 <https://github.com/ros-perception/vision_opencv/issues/183>
  * Fixes #177 <https://github.com/ros-perception/vision_opencv/issues/177>
    The Python bridge was wrong on OpenCV2 with mono8 (and any Mat
    with only two dimensions btw). Took the official Python bridge
    from OpenCV.
  * Add missing test file
    This fixes #171 <https://github.com/ros-perception/vision_opencv/issues/171>
  * Properly deal with alpha in image compression.
    That fixes #169 <https://github.com/ros-perception/vision_opencv/issues/169>
  * Silence warnings about un-used variables
  * export OpenCV variables
  * Contributors: Kei Okada, Victor Lamoine, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 23:00:00 -0000

ros-melodic-cv-bridge (1.12.4-0stretch) stretch; urgency=high

  * properly find Boost Python 2 or 3
    This fixes #158 <https://github.com/ros-perception/vision_opencv/issues/158>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 23:00:00 -0000

ros-melodic-cv-bridge (1.12.3-0stretch) stretch; urgency=high

  * Use api in sensor_msgs to get byte_depth and num channels
  * Implement cpp conversion of N channel image
    This is cpp version of https://github.com/ros-perception/vision_opencv/pull/141,
    which is one for python.
  * Fill black color to depth nan region
  * address gcc6 build error in cv_bridge and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
    This commit addresses this issue for cv_bridge in the same way
    it was done in the commit ead421b8 [1] for image_geometry.
    This issue was also addressed in various other ROS packages.
    A list of related commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    [1] https://github.com/ros-perception/vision_opencv/commit/ead421b85eeb750cbf7988657015296ed6789bcf
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * cv_bridge: Add missing test_depend on numpy
  * Contributors: Kentaro Wada, Lukas Bulwahn, Maarten de Vries

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2016 23:00:00 -0000

ros-melodic-cv-bridge (1.12.2-0stretch) stretch; urgency=high

  * Specify background label when colorizing label image
  * Adjust to arbitrary image channels like 32FC40
    Proper fix for #141 <https://github.com/ros-perception/vision_opencv/issues/141>
  * Remove unexpectedly included print statement
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 23 Sep 2016 22:00:00 -0000

ros-melodic-cv-bridge (1.12.1-0stretch) stretch; urgency=high

  * split the conversion tests out of enumerants
  * support is_bigendian in Python
    Fixes #114 <https://github.com/ros-perception/vision_opencv/issues/114>
    Also fixes mono16 test
  * Support compressed Images messages in python for indigo
    - Add cv2_to_comprssed_imgmsg: Convert from cv2 image to compressed image ros msg.
    - Add comprssed_imgmsg_to_cv2:   Convert the compress message to a new image.
    - Add compressed image tests.
    - Add time to msgs (compressed and regular).
    add enumerants test for compressed image.
    merge the compressed tests with the regular ones.
    better comment explanation. I will squash this commit.
    Fix indentation
    fix typo mistage: from .imgmsg_to_compressed_cv2 to .compressed_imgmsg_to_cv2.
    remove cv2.CV_8UC1
    remove rospy and time depndency.
    change from IMREAD_COLOR to IMREAD_ANYCOLOR.
    - make indentaion of 4.
    - remove space trailer.
    - remove space from empty lines.
    - another set of for loops, it will make things easier to track. In that new set,  just have the number of channels in ([],1,3,4) (ignore two for jpg). from: https://github.com/ros-perception/vision_opencv/pull/132#discussion_r66721943
    - keep the OpenCV error message. from: https://github.com/ros-perception/vision_opencv/pull/132#discussion_r66721013
    add debug print for test.
    add case for 4 channels in test.
    remove 4 channels case from compressed test.
    add debug print for test.
    change typo of format.
    fix typo in format. change from dip to dib.
    change to IMREAD_ANYCOLOR as python code. (as it should).
    rename TIFF to tiff


=== debian/control ===
Source: ros-melodic-cv-bridge
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, python-dev, python-numpy, python-opencv, ros-melodic-catkin, ros-melodic-rosconsole, ros-melodic-rostest, ros-melodic-sensor-msgs
Homepage: http://www.ros.org/wiki/cv_bridge
Standards-Version: 3.9.2

Package: ros-melodic-cv-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, python-dev, python-opencv, ros-melodic-rosconsole, ros-melodic-sensor-msgs
Description: This contains CvBridge, which converts between ROS Image messages and OpenCV images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cv-bridge//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-cv-bridge 1.13.1

=== debian/changelog ===
ros-melodic-cv-bridge (1.13.1-1bionic) bionic; urgency=high

  * Fix endian mismatch issue per boostorg/python PR #218 <https://github.com/ros-perception/vision_opencv/issues/218>
  * Update CMakeLists.txt for Windows build environment (#265 <https://github.com/ros-perception/vision_opencv/issues/265>)
  * Remove path splash separator from 'package_dir' (#267 <https://github.com/ros-perception/vision_opencv/issues/267>)
  * Fix travis. (#269 <https://github.com/ros-perception/vision_opencv/issues/269>)
  * Contributors: Duan Yutong, James Xu, Kenji Brameld, Sean Yen

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 02 Oct 2022 15:00:00 -0000

ros-melodic-cv-bridge (1.13.0-1bionic) bionic; urgency=high

  * Use rosdep OpenCV and not ROS one.
    We defintely don't need the whole OpenCV.
    We need to clean the rosdep keys.
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 29 Apr 2018 15:00:00 -0000

ros-melodic-cv-bridge (1.12.8-1bionic) bionic; urgency=high

  * Merge pull request #191 <https://github.com/ros-perception/vision_opencv/issues/191> from patrickelectric/kinetic
    cv2_to_imgmsg: step must be int
  * cv2_to_imgmsg: step must be int
    Signed-off-by: Patrick José Pereira <mailto:patrickelectric@gmail.com>
  * Contributors: Patrick José Pereira, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 16 Apr 2018 15:00:00 -0000

ros-melodic-cv-bridge (1.12.7-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 11 Nov 2017 15:00:00 -0000

ros-melodic-cv-bridge (1.12.6-1bionic) bionic; urgency=high

  * fix endianness issues
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 10 Nov 2017 15:00:00 -0000

ros-melodic-cv-bridge (1.12.5-1bionic) bionic; urgency=high

  * add version_gte for opencv3
    @vrabaud If you'll update opencv3 version as discussed in https://discourse.ros.org/t/opencv-3-3/2674/4, I think we'd better to add 'version_gte' tag so that apt-get install ros-kinetic-cv-bridge also pulls openv3.3 from repository, to avoid API breaking issue between opencv2 and opencv3.
  * Simplify the dependency components of cv_bridge
    Fixes #183 <https://github.com/ros-perception/vision_opencv/issues/183>
  * Fixes #177 <https://github.com/ros-perception/vision_opencv/issues/177>
    The Python bridge was wrong on OpenCV2 with mono8 (and any Mat
    with only two dimensions btw). Took the official Python bridge
    from OpenCV.
  * Add missing test file
    This fixes #171 <https://github.com/ros-perception/vision_opencv/issues/171>
  * Properly deal with alpha in image compression.
    That fixes #169 <https://github.com/ros-perception/vision_opencv/issues/169>
  * Silence warnings about un-used variables
  * export OpenCV variables
  * Contributors: Kei Okada, Victor Lamoine, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 15:00:00 -0000

ros-melodic-cv-bridge (1.12.4-1bionic) bionic; urgency=high

  * properly find Boost Python 2 or 3
    This fixes #158 <https://github.com/ros-perception/vision_opencv/issues/158>
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Jan 2017 15:00:00 -0000

ros-melodic-cv-bridge (1.12.3-1bionic) bionic; urgency=high

  * Use api in sensor_msgs to get byte_depth and num channels
  * Implement cpp conversion of N channel image
    This is cpp version of https://github.com/ros-perception/vision_opencv/pull/141,
    which is one for python.
  * Fill black color to depth nan region
  * address gcc6 build error in cv_bridge and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
    This commit addresses this issue for cv_bridge in the same way
    it was done in the commit ead421b8 [1] for image_geometry.
    This issue was also addressed in various other ROS packages.
    A list of related commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    [1] https://github.com/ros-perception/vision_opencv/commit/ead421b85eeb750cbf7988657015296ed6789bcf
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * cv_bridge: Add missing test_depend on numpy
  * Contributors: Kentaro Wada, Lukas Bulwahn, Maarten de Vries

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2016 15:00:00 -0000

ros-melodic-cv-bridge (1.12.2-1bionic) bionic; urgency=high

  * Specify background label when colorizing label image
  * Adjust to arbitrary image channels like 32FC40
    Proper fix for #141 <https://github.com/ros-perception/vision_opencv/issues/141>
  * Remove unexpectedly included print statement
  * Contributors: Kentaro Wada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 23 Sep 2016 15:00:00 -0000

ros-melodic-cv-bridge (1.12.1-1bionic) bionic; urgency=high

  * split the conversion tests out of enumerants
  * support is_bigendian in Python
    Fixes #114 <https://github.com/ros-perception/vision_opencv/issues/114>
    Also fixes mono16 test
  * Support compressed Images messages in python for indigo
    - Add cv2_to_comprssed_imgmsg: Convert from cv2 image to compressed image ros msg.
    - Add comprssed_imgmsg_to_cv2:   Convert the compress message to a new image.
    - Add compressed image tests.
    - Add time to msgs (compressed and regular).
    add enumerants test for compressed image.
    merge the compressed tests with the regular ones.
    better comment explanation. I will squash this commit.
    Fix indentation
    fix typo mistage: from .imgmsg_to_compressed_cv2 to .compressed_imgmsg_to_cv2.
    remove cv2.CV_8UC1
    remove rospy and time depndency.
    change from IMREAD_COLOR to IMREAD_ANYCOLOR.
    - make indentaion of 4.
    - remove space trailer.
    - remove space from empty lines.


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-cv-bridge
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, python-dev, python-numpy, python-opencv, ros-melodic-catkin, ros-melodic-rosconsole, ros-melodic-rostest, ros-melodic-sensor-msgs
+Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, python-dev, python-numpy <!nocheck>, python-opencv, ros-melodic-catkin, ros-melodic-rosconsole, ros-melodic-rostest <!nocheck>, ros-melodic-sensor-msgs
 Homepage: http://www.ros.org/wiki/cv_bridge
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
